CommandFactory.Command (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.cli

## Enum CommandFactory.Command

- java.lang.Object
- - java.lang.Enum<CommandFactory.Command>
  - - org.apache.zookeeper.cli.CommandFactory.Command

- All Implemented Interfaces:
    Serializable, Comparable<CommandFactory.Command>
  Enclosing class:
    CommandFactory

      public static enum CommandFactory.Command
      extends Enum<CommandFactory.Command>

  All Cli Commands.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD_AUTH`
    `ADD_WATCH`
    `CLOSE`
    `CREATE`
    `DEL_QUOTA`
    `DELETE`
    `DELETE_ALL`
    `GET`
    `GET_ACL`
    `GET_ALL_CHILDREN_NUMBER`
    `GET_CONFIG`
    `GET_EPHEMERALS`
    `LIST_QUOTA`
    `LS`
    `RECONFIG`
    `REMOVE_WATCHES`
    `SET`
    `SET_ACL`
    `SET_QUOTA`
    `STAT`
    `SYNC`
    `VERSION`
    `WHO_AM_I`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommandFactory.Command` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CommandFactory.Command[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLOSE

          public static final CommandFactory.Command CLOSE

    - #### CREATE

          public static final CommandFactory.Command CREATE

    - #### DELETE

          public static final CommandFactory.Command DELETE

    - #### DELETE_ALL

          public static final CommandFactory.Command DELETE_ALL

    - #### SET

          public static final CommandFactory.Command SET

    - #### GET

          public static final CommandFactory.Command GET

    - #### LS

          public static final CommandFactory.Command LS

    - #### GET_ACL

          public static final CommandFactory.Command GET_ACL

    - #### SET_ACL

          public static final CommandFactory.Command SET_ACL

    - #### STAT

          public static final CommandFactory.Command STAT

    - #### SYNC

          public static final CommandFactory.Command SYNC

    - #### SET_QUOTA

          public static final CommandFactory.Command SET_QUOTA

    - #### LIST_QUOTA

          public static final CommandFactory.Command LIST_QUOTA

    - #### DEL_QUOTA

          public static final CommandFactory.Command DEL_QUOTA

    - #### ADD_AUTH

          public static final CommandFactory.Command ADD_AUTH

    - #### RECONFIG

          public static final CommandFactory.Command RECONFIG

    - #### GET_CONFIG

          public static final CommandFactory.Command GET_CONFIG

    - #### REMOVE_WATCHES

          public static final CommandFactory.Command REMOVE_WATCHES

    - #### GET_EPHEMERALS

          public static final CommandFactory.Command GET_EPHEMERALS

    - #### GET_ALL_CHILDREN_NUMBER

          public static final CommandFactory.Command GET_ALL_CHILDREN_NUMBER

    - #### VERSION

          public static final CommandFactory.Command VERSION

    - #### ADD_WATCH

          public static final CommandFactory.Command ADD_WATCH

    - #### WHO_AM_I

          public static final CommandFactory.Command WHO_AM_I

  - ### Method Detail

    - #### values

          public static CommandFactory.Command[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommandFactory.Command c : CommandFactory.Command.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommandFactory.Command valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.